English

Error: AddressLocatorUI causes application crash if Locator does not support correct interfaces

Error Message

** Fixed at ArcGIS 8.2 **

When a developer creates a new custom Locator class, they must specify a user interface for the Locator. The developer can provide their own user interface class, or they can use the provided AddressLocatorUI class that provides the user interfaces for the Locators shipped with ArcGIS.

If the custom Locator does not support all of the interfaces supported by ESRI Locators shipped with ArcGIS, then the AddressLocatorUI class will cause a fatal application error.

Cause

This was a problem with the software that will be resolved in ArcGIS 8.2.

Solution or Workaround

If you are working with ArcGIS 8.1, install ArcGIS 8.2 or a later version to fix this problem.